    Lorentz function for modeling absorption (equivalent width).

absorptionlorentz

This model is intended to be used to modify another model (e.g. by multiplying the two together). It is for use when the independent axis is in Angstroms.

>>> create_model_component("absorptionlorentz", "mdl")
>>> print(mdl)

Create a component of the absorptionlorentz model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 100 1.17549e-38 3.40282e+38 km/s mdl.pos frozen 5000 1.17549e-38 3.40282e+38 angstroms mdl.ewidth thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The full-width half-maximum of the model in km/s.
pos
The center of the lorentzian, in Angstroms.
ewidth
The equivalent width of the model, in Angstroms.

Notes

The functional form of the model for points is:

f(x) = 1 - ewidth * c / (1.571 * fwhm * pos * l(x))

l(x) = 1 + 4 * ((1 / x - 1 / pos) * pos * c / fwhm)^2

c = speed of light in km/s

and for integrated data sets the low-edge of the grid is used.

The speed of light can be found by inspecting the module variable sherpa.astro.optical.c_km .

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023